NCSA Mosaic for the X Window System

<owner_name="Mitch Kutzko, mitch@ncsa.uiuc.edu">

# NCSA Mosaic X Resources

The class name for Mosaic for X is Mosaic. If you are unfamiliar with X resources, here is a bit of information on how to set X resources.

Note that for each of the resources listed below, the class name is the same as the resource name except that the first character is capitalized.

## Functional Resources

annotationsOnTop: Boolean
  Flag to indicate whether inlined document annotation hyperlinks are prepended to the document (if true) or postpended (if false). Default is false.
annotationServer: string
  Used for group annotation support. This resource is the URL of your CGI annotation server.
autoPlaceWindows: Boolean
  If set to false, new Document View windows will not be automatically positioned by the program itself (but it's still up to your window manager just how they're placed). Default is true.
catchPriorAndNext: Boolean
  This resource controls whether use of the keys Prior and Next (Page Up and Page Down on most keyboards) are explicitly caught in the Document View window and passed to the vertical scrollbar or whether the normal Motif scrolled window mechanism is relied upon to do that automatically. Default is false, since that's how things are supposed to work, but if you find that Page Up/Page Down aren't doing their jobs for you, set this resource to true. (See also information on hotkeys.)
cciPort: integer
  This resource sets the port which Mosaic listens to for CCI instructions.
confirmDeleteAnnotation: Boolean
  If false, deleting annotations will not be confirmed via a confirmation dialog box. Default is true.
confirmExit: Boolean
  Whether NCSA Mosaic will pop up a dialog box to confirm exiting the program when the 'Exit Program' menu option is chosen. Default is true.
defaultAuthorName: string
  String to use as your fullname (e.g., John Q. Public). Your fullname is normally stored in the system password file, and Mosaic will extract it from that if this resource is NULL; else the value of this resource will be used. Default is NULL.
defaultHeight: integer
  Default height in pixels for a Document View window. Default is 680.
defaultHotlistFile: string
  Name of file to store the default hotlist (or list of bookmarks). Default is ".mosaic-hotlist-default"; the value of the environment variable $HOME will be prepended to this string.
defaultWidth: integer
  Default width in pixels for a Document View window. Default is 620.
delayImageLoads: Boolean
  Delayed image loading is for users with slow network connections. If true, Mosaic substitutes a small icon for inlined-images, plus an arrow icon for inlined-images which also act as hyperlinks. Clicking on an icon tells Mosaic to load that inlined-image, while clicking on the arrow is equivalent to following the associated hyperlink. Selecting Load Images in Current from Mosaic's `Options` menu loads and displays all of the inlined-images in the current document. Delayed image loading can also be selected with the '-dil' command-line flag, or on a per-window basis from Mosaic's `Options` menu. Default is false.
displayURLsNotTitles: Boolean
  If true, URL's will be displayed everywhere document titles are usually displayed. Default is false.
DocsDirectory: string
  Can be used to override the location of the help documents. Default is NULL.
documentsMenuSpecfile: string
  Name of file which holds an optional "Documents Menu Specfile," to allow sites to add their own `Documents` menu to Mosaic's menu bar. For more information, see information on creating a configurable `Documents` menu. Default is "/usr/local/lib/mosaic/documents.menu"
editCommand: string
  Name of the editor to load when using the File-Edit Source option. This editor is loaded in an xterm, specified by the `xtermCommand` resource. Default is vi.
editCommandUseXterm: Boolean
  This resource specifies that a user's editor requires an xterm before it can be executed. Default is true.
fancySelections: Boolean
  If true, cut and paste from the Document View window will be done with fancy selections enabled in the HTML widget, which will result in underlined headers, bulleted lists, and so on. If false, normal selection behavior will be used. Default is false. (Note that this can be changed, per window, on the fly.)
fullHostname: string
  This resource allows explicit setting of the fully qualified hostname for machines that crash on a call to `gethostbyname().` The `fullHostname` resource should only be used if necessary, in conjunction with `gethostbynameIsEvil`.
gethostbynameIsEvil: Boolean
  If you are running on a Sun set up such that, when it tries to find out it's own full hostname via gethostbyname(), it coredumps, then you should set this resource to true. Default is false.
globalExtensionMap: string
  Can be set to the location of the system-wide extension map config file of your choice. Default is "/usr/local/lib/mosaic/mime.types"
globalHistoryFile: string
  Name of file to store the global history of all documents visited from session to session. Default is ".mosaic-global-history"; the value of the environment variable $HOME will be prepended to this string.
globalTypeMap: string
  Can be set to the location of the system-wide mailcap (type map config) file of your choice. Default is "/usr/local/lib/mosaic/mailcap"
gunzipCommand: string
  Command Mosaic uses to uncompress gzip'd files (files with an extension of '.z'). Default is "gunzip -n -f", which requires version 1.2.4 of gzip. (Gunzip can be obtained from boole.stanford.edu/pub/.)
hdfMaxImageDimension: integer
  Maximum height and/or width of an HDF inlined image in pixels. Default is 400.
hdfMaxDisplayedDatasets: integer
  Maximum number of displayed datasets while browsing HDF files. Default is 15. If more than the maximum exist in an HDF file, Mosaic will display the HDF file in "brief mode."
hdfMaxDisplayedAttributes: integer
  Maximum number of displayed attributes while browsing HDF files. Default is 10. If more than the max exist in an HDF file, Mosaic will display the HDF file in "brief mode."
hdfPowerUser: Boolean
  If true, most of the supporting text in an HDF file will be removed. Default is false.
homeDocument: string
  Document to access on program startup. Default is "http://www.ncsa.uiuc.edu/SDG/Software/Mosaic/NCSAMosaicHome.html". See also information on specifying your home document.
imageCacheSize: integer
  Used to set the size of the inlined-image cache in kilobytes. The '-ics' command-line flag can also be used. Default is 2048.
  - All of the images in a given document will be (temporarily) cached while on that page regardless of the value of imageCacheSize.
  - Cache flushes least recently viewed.
initialWindowIconic: Boolean
  If set to true, the first Document View window opened (when the program starts) will be iconified. Default is false.
kiosk: Boolean
  If set, this removes the menubar and all control bar options except back, forward, home, and close. Default is false.
kioskNoExit: Boolean
  If `kiosk` is true, and this resource is true, then this removes the close button. When true, the user has no way to exit Mosaic (without a window manager or a keyboard). Default is false.
maxNumCCIConnect: integer
  Controls the maximum number of cci clients communicating with the browser. Default is no limit.
maxWaisResponses: integer
  Controls maximum number of matches Mosaic gets from a WAIS server. Default is 200.
personalAnnotationDirectory: string
  Name of directory in which to store personal annotations (as well as the log file of all personal annotations currently in existence). Default is ".mosaic-personal-annotations"; the value of the environment variable $HOME will be prepended to this string. (If the directory so named does not exist, it will be created; however, intermediate directories, if any are named, will not be created.)
personalExtensionMap: string
  Can be set to the location of the personal extension map config file of your choice -- the value of the environment variable HOME is prepended to this. Default is ".mime.types"
personalTypeMap: string
  Can be set to the location of the personal mailcap file of your choice -- the value of the environment variable `HOME` is prepended to this. Default is ".mailcap"
printCommand: string
  Name of command used (by default) for the 'Print' menu option. This command is expected to accept a single argument -- the name of the file to print. Default is "lpr". (Note that this can be changed on the fly via the 'Print' option's dialog box.)
recordCommandLocation: string
  Location (full path name) of the command used to record audio annotations (on Sun, SGI, and HP platforms). Default is "/usr/sbin/recordaiff" on SGI, "/usr/demo/SOUND/record" on Sun, and "/usr/audio/bin/srecorder" on HP. If the named command does not exist when Mosaic is started, audio annotations will be disabled (the menu entry will be made insensitive).
recordCommand: string
  Command used to record audio annotations -- this is the full command, using the command named in recordCommandLocation as the first word. Default is "recordaiff -n 1 -s 8 -r 8000" on SGI, "record" on Sun, "srecorder -au" on HP. The command thus named is expected to accept a single additional argument: the filename of the new audio file; the command is also expected to correctly terminate recording when sent a SIGINT.
reloadPragmaNoCache: Boolean
  If true, Mosaic will send additional header info to notify a proxy not to use cache. This only works with caching proxy servers. Default is false.
reloadReloadsImages: Boolean
  If true, the Reload option will clear out cached image data for the current document before reloading the document, thus causing the images to be reloaded also. This is most useful for HTML authors using Mosaic to view their work. Default is false.
sendmailCommand: string
  Points to the `sendmail` binary. The assumption is made that this program accepts command-line arguments specifying addresses to which messages should be mailed, and accepts other headers and message text from stdin. Default is "/usr/lib/sendmail"
signature: string
  Points to the signature file used when posting articles to newsgroups. This file will be included whenever you post or followup. Default is no signature.
simpleInterface: Boolean
  Allows Mosaic's menu bar and bottom button configuration to be considerably pared down (default is false).
tmpDirectory: string
  Name of directory in which to store temporary files generated by Mosaic. This directory should have plenty of space, ideally at least 10 or 20 megabytes, in case you happen to pull down a very large data file. Setting this resource is equivalent to using the command-line flag -tmpdir or setting the environment variable `TMPDIR`.
trackFullURLs: Boolean
  If set to false, enables prototypical smart display of "where you're going" during mouse tracking, including format divination. Default is true.
trackPointerMotion: Boolean
  If set to false, the mouse pointer will not be tracked so that URLs are visible on the lower status line. Default is true.
trackVisitedAnchors: Boolean
  If true, visited anchors (anchors pointing to documents that have previously been viewed) will be displayed with a different style than anchors that have not yet been visited. Default is true. (On slow machines, changing this resource to false may substantially improve Mosaic's performance.)
tweakGopherTypes: Boolean
  When false, Mosaic will interpret Gopher documents strictly by the Gopher typing system. When true, Mosaic will use its own mechanism to determine the file types of Gopher documents. Default is true.
twirlIncrement: integer
  Indicates how many bytes (minimum) are transferred between updates of the twirling transfer icon for normal (FTP, Gopher, HTTP) transfers. Default is 4096.
twirlingTransferIcon: Boolean
  Can be set to false to turn off the twirling NCSA logo during document transfers. Clicking the icon will still interrupt a transfer. Default is true.
uncompressCommand: string
  Command to use to uncompress compressed files (files with an extension of '.Z'). Default is "uncompress"
useDefaultExtensionMap: Boolean
  Can be set to false to keep Mosaic from having any default file-extension-to-MIME-type mappings. We strongly recommend that this resource be left true; simply overridden as necessary. Default is true.
useDefaultTypeMap: Boolean
  Can be set to false to keep Mosaic from having any default MIME-type-to-external-viewer mappings. We strongly recommend that this resource be left true; simply overridden as necessary. Default is true.
useGlobalHistory: Boolean
  If true, a global history of everywhere you visit is automatically stored. (This history is used to shade anchors different colors based on whether you've visited the corresponding documents or not, if resource trackVisitedAnchors is set to true) Default is true.
xtermCommand: string
  Name of command used to start a terminal window for a telnet session. Default is "xterm" on most platforms; "aixterm -v" on IBM AIX 3.x systems.

## Visual Resources

The following resources actually belong to the HTML widget used in the Document View window, so you should specify them in your `.Xdefaults` file as follows:

            Mosaic*anchorColor: cyan

Background: color
  Color for main background. Default is grey.
Foreground: color
  Color for normal text. Default is black.
anchorColor: color
  Color to shade anchors whose corresponding documents haven't been previously visited. Default is blue3.
visitedAnchorColor: color
  Color to shade anchors whose corresponding documents have been previously visited. Default is violetred4.
activeAnchorFG: color
  Color to shade anchors that are in the process of being activated. Default is red.
activeAnchorBG: color
  Color to shade the background of anchors that are in the process of being activated. Default is grey80 (the same color as the application's background).
anchorUnderlines: integer
  This can be one of {0, 1, 2, 3}, and indicates the number of lines to draw underneath unvisited anchors. Default is 1.
visitedAnchorUnderlines: integer
  This can be one of {0, 1, 2, 3}, and indicates the number of lines to draw underneath visited anchors. Default is 1.
dashedAnchorUnderlines: Boolean
  If true, lines drawn under unvisited anchors will be dashed. Default is false.
dashedVisitedAnchorUnderlines: Boolean
  If true, lines drawn under visited anchors will be dashed. Default is true.
colorsPerInlinedImage: integer
  Number of unique colors to allocate per inlined-image; default is 50. Note that this has no bearing on images that are displayed externally to NCSA Mosaic, e.g. GIF images passed to an external viewer.
percentVerticalSpace: integer
  The height of vertical space between paragraphs, between headers and paragraphs, etc., expressed as a percentage of the normal line height. Default is 90.
reverseInlinedBitmapColors: Boolean
  If true, reverses foreground and background colors in inlined XBM bitmaps. Default is false.
verticalScrollOnRight: Boolean
  If false, the Document View window will place its scroll bar on the left side. Default is true.

## Font Resources

Font resources are also resources that belong to the HTML widget, so the above note applies here too. Note that fonts can be changed dynamically from the Options menu.

defaultFontChoice: string
  Sets the default font choice for X. string is a string similar to any of the font choices in the Options-Font menu. For example.

      Mosaic*defaultFontChoice: New Century Large

font: font
  Font used in normal formatted text. Default is "-adobe-times-medium-r-normal-*-17-*-*-*-*-*-iso8859-1".
italicFont: font
  Font used in italic formatted text. Default is "-adobe-times-medium-i-normal-*-17-*-*-*-*-*-iso8859-1".
boldFont: font
  Font used in bold formatted text. Default is "-adobe-times-bold-r-normal-*-17-*-*-*-*-*-iso8859-1".
fixedFont: font
  Font used in fixed (typewriter style) formatted text. Default is "-adobe-courier-medium-r-normal-*-17-*-*-*-*-*-iso8859-1".
header1Font: font
  Font used in level 1 headers. Default is "-adobe-times-bold-r-normal-*-24-*-*-*-*-*-iso8859-1".
header2Font: font
  Font used in level 2 headers. Default is "-adobe-times-bold-r-normal-*-18-*-*-*-*-*-iso8859-1".
header3Font: font
  Font used in level 3 headers. Default is "-adobe-times-bold-r-normal-*-17-*-*-*-*-*-iso8859-1".
header4Font: font
  Font used in level 4 headers. Default is "-adobe-times-bold-r-normal-*-14-*-*-*-*-*-iso8859-1".
header5Font: font
  Font used in level 5 headers. Default is "-adobe-times-bold-r-normal-*-12-*-*-*-*-*-iso8859-1".
header6Font: font
  Font used in level 6 headers. Default is "-adobe-times-bold-r-normal-*-10-*-*-*-*-*-iso8859-1".
addressFont: font
  Font used in addresses. Default is "-adobe-times-medium-i-normal-*-17-*-*-*-*-*-iso8859-1".
plainFont: font
  Font used in plaintext regions or preformatted documents. Default is "-adobe-courier-medium-r-normal-*-14-*-*-*-*-*-iso8859-1".
listingFont: font
  Font used in listing regions. Default is "-adobe-courier-medium-r-normal-*-12-*-*-*-*-*-iso8859-1".
fixedboldFont: font
  Font used for bold in fixed (typewriter style) formatted text
fixeditalicFont: font
  Font used for italic in fixed (typewriter style) formatted text
plainboldFont: font
  Font used for bold in plaintext regions or preformatted documents
plainitalicFont: font
  Font used for italic in plaintext regions or preformatted documents
supsubFont: font
  Font used for superscript and subscript fonts.

## Proxy Gateway Resources

Support for Proxy Gateways is still considered experimental. The following resources are assumed to be pointers to Proxy Gateways, for example:

        Mosaic*httpProxy: http://www.cern.ch:911/

Here are more details on Proxy Gateway Support in NCSA Mosaic for X.

ftpProxy: String
  Proxy for ftp URLs.
gopherProxy: String
  Proxy for gopher URLs.
httpProxy: String
  Proxy for http URLs.
newsProxy: String
  Proxy for news URLs.
waisProxy: String
  Proxy for wais URLs.
ProxyGateway: String
  Proxy to be used for all access methods.

## PGP/PEM Encryption Resources

PGP/PEM encryption is still considered an experimental feature of NCSA Mosaic. Here is more information on PGP/PEM encryption with NCSA Mosaic.

pemEncrypt: string
  The executable Mosaic will run to perform PEM encryption.
pemDecrypt: string
  The executable Mosaic will run to perform PEM decryption.
pemEntity: string
  The user's PEM entity name, which should be the same as the key name given to server maintainers.
pgpEncrypt: string
  The executable Mosaic will run to perform PGP encryption.
pgpDecrypt: string
  The executable Mosaic will run to perform PGP decryption.
pgpEntity: string
  The user's PGP entity name, which should be the same as the key name given to server maintainers.

## Obsolete Resources

The following resources once did something, but not anymore.

binaryTransferMode: Boolean
  Removed in version 2.0, use Load to Local Disk from `Options` menu if necessary.
mailCommand: string
  Replaced in version 2.0 with sendmailCommand resource.
warpPointerForIndex: Boolean
  Removed in version 2.0. This is a much-requested feature, and will be re-worked eventually.
windowPerDocument: Boolean
  Removed in version 2.0. New windows can be created by clicking on hyperlinks with the middle mouse button rather than the left one.

The following notices were important for users upgrading from a 1.x version of Mosaic to a 2.x version:

- The class name has been changed from XMosaic to Mosaic. Existing Mosaic 1.2 X resources and application defaults files should be modified accordingly.
- Information on the removal of version 1.2 multimedia X resources.

Back to top level Documentation Index

Last Modified: 9 July 1995